using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace watcher_monitoring.Migrations
{
    /// <inheritdoc />
    public partial class serverhardwareadd : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<int>(
                name: "CpuCores",
                table: "Servers",
                type: "INTEGER",
                nullable: false,
                defaultValue: 0);

            migrationBuilder.AddColumn<string>(
                name: "CpuType",
                table: "Servers",
                type: "TEXT",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "DiskSpace",
                table: "Servers",
                type: "TEXT",
                nullable: true);

            migrationBuilder.AddColumn<string>(
                name: "GpuType",
                table: "Servers",
                type: "TEXT",
                nullable: true);

            migrationBuilder.AddColumn<double>(
                name: "RamSize",
                table: "Servers",
                type: "REAL",
                nullable: false,
                defaultValue: 0.0);
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "CpuCores",
                table: "Servers");

            migrationBuilder.DropColumn(
                name: "CpuType",
                table: "Servers");

            migrationBuilder.DropColumn(
                name: "DiskSpace",
                table: "Servers");

            migrationBuilder.DropColumn(
                name: "GpuType",
                table: "Servers");

            migrationBuilder.DropColumn(
                name: "RamSize",
                table: "Servers");
        }
    }
}
